Mercenary Redfoot:
Have you heard the rumor that Antharas the Land Dragon has awoken? This is terrible news! If it emerges from its lair in Dragon Valley, all of Giran region will fall into a state of pandemonium!
A woman named Gabrielle in the Town of Giran is recruiting people for a militia to catch Antharas. Does she really think that they will have any chance against the dragon? I fear they do not!
Return